aboutsummaryrefslogtreecommitdiff
path: root/tests/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test.sh')
-rw-r--r--tests/test.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/test.sh b/tests/test.sh
index 2ba1ed0..84ec774 100644
--- a/tests/test.sh
+++ b/tests/test.sh
@@ -12,7 +12,7 @@
# Repository: https://github.com/sickcodes/Docker-OSX
# Website: https://sick.codes
#
-# Status: Work in progress.
+# Status: Used internally to auto build, run and test images on DO.
#
help_text="Usage: ./test.sh --branch <string> --repo <string>
@@ -303,6 +303,9 @@ for TEST_BUILD in "${TEST_BUILDS[@]}"; do
"${TEST_BUILD}"
done
+# boot each image and test
+bash ./tests/boot-images.sh || exit 1
+
if [[ "${DOCKER_USERNAME}" ]] && [[ "${DOCKER_PASSWORD}" ]]; then
docker login --username "${DOCKER_USERNAME}" --password "${DOCKER_PASSWORD}" \
&& for SHORTNAME in "${VERSION_BUILDS[@]}"; do